Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.persistence
Class CorruptedStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jini.rio.resources.persistence.StoreException
                  org.jini.rio.resources.persistence.CorruptedStoreException

All Implemented Interfaces:
  Serializable

    public class CorruptedStoreException

extends StoreException

Exception thrown by `PersistentStore` when it discovers the store has become corrupted.

See Also:
  Serialized Form

Constructor Summary
`CorruptedStoreException(String s)` Constructs an `CorruptedStoreException` with a detail message.
`CorruptedStoreException(String s, Throwable t)` Constructs an `CorruptedStoreException` with a detail message and a nested exception.

Method Summary

Methods inherited from class org.jini.rio.resources.persistence.StoreException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorruptedStoreException

    public CorruptedStoreException(String s)

  Constructs an `CorruptedStoreException` with a detail message.

  Parameters:
    `s` - the detailed message

### CorruptedStoreException

    public CorruptedStoreException(String s,
                                   Throwable t)

  Constructs an `CorruptedStoreException` with a detail message and a nested exception.

  Parameters:
    `s` - the detailed message
    `t` - root cause for exception, may be `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.